from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .api_views import StockOperationViewSet
from .views import scan_barcode_camera, process_barcode

router = DefaultRouter()
router.register(r'stock-operations', StockOperationViewSet, basename='stock-operation')

urlpatterns = [
    path('api/', include(router.urls)),
    path('scan-barcode-camera/', scan_barcode_camera, name='scan-barcode-camera'),
    path('scan-barcode/', process_barcode, name='scan-barcode'),
]
